import { requestClient } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/RobotGroup/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/RobotGroup/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/RobotGroup/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/RobotGroup/removeByUid/' + param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/RobotGroup/updateByUid/' + param.uuid, param);
}

async function getById(param) {
  return requestClient.post('/auth/RobotGroup/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/RobotGroup/getByUuid', param);
}

export const robotGroup = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
}